# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hcterm"
version = "0.7.0-dev.31"
authors = ["Holochain Core Dev Team <devcore@holochain.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "hcterm"
description = "A terminal for Holochain"
documentation = "https://docs.rs/holochain_terminal"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/holochain/holochain"

[[bin]]
name = "hcterm"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.crossterm]
version = "0.29"

[dependencies.holo_hash]
version = "^0.7.0-dev.10"
features = [
    "encoding",
    "kitsune2",
]

[dependencies.holochain_client]
version = "^0.9.0-dev.31"
default-features = false

[dependencies.holochain_conductor_api]
version = "^0.7.0-dev.30"
default-features = false

[dependencies.holochain_types]
version = "^0.7.0-dev.30"

[dependencies.holochain_util]
version = "^0.7.0-dev.1"

[dependencies.kitsune2_api]
version = "0.5.0-dev.4"

[dependencies.kitsune2_bootstrap_client]
version = "0.5.0-dev.4"

[dependencies.kitsune2_core]
version = "0.5.0-dev.4"

[dependencies.once_cell]
version = "1"

[dependencies.ratatui]
version = "0.29"

[dependencies.tokio]
version = "1.36.0"
features = ["full"]

[dependencies.url]
version = "2"

[lints.clippy]
complexity = "deny"
correctness = "deny"
dbg_macro = "deny"
perf = "deny"
style = "deny"

[lints.clippy.cargo]
level = "allow"
priority = -1

[lints.clippy.nursery]
level = "allow"
priority = -1

[lints.clippy.pedantic]
level = "allow"
priority = -1

[lints.clippy.restriction]
level = "allow"
priority = -1

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    "cfg(build_wasm)",
    "cfg(loom)",
]
